Erlang and Java through CORBA version combinations

Erik Reitsma (ELN) <>
Thu Oct 18 13:24:44 CEST 2001

> Are you quite sure, you want to use Sun's ORB as it doesn't 
> implement POA
> and such compliantly? There's the JacORB ( and OpenORB
> ( that both are open source.
> I might be wrong about the Sun's latest ORB, though.

I have to use Sun's ORB for now, since the server is implemented by somebody else, and they do some stuff with the ORB classes internally which does not work with other versions. But perhaps this will convice them to reconsider, and move to some other ORB. They probably did not test with other ORBs themselves...

As I wrote in my previous mail, the latest ORB from Sun works nicely (as far as I have come) with the later OTP ORBs.

Thanks for the tip!


More information about the erlang-questions mailing list